System requirements for 100.0.0

ArcGIS Runtime SDK for .NET contains APIs to develop apps for Windows Presentation Foundation (WPF), Universal Windows Platform (UWP), Xamarin.Android, Xamarin.iOS and Xamarin.Forms (cross-platform projects for Android, iOS and UWP). Each API has specific system requirements for your development machine as well as for the machines and devices to which you will deploy your app.

The following table gives an overview of supported development configurations for each ArcGIS Runtime SDK for .NET platform.

Windows 7 SP1Windows 8.1Windows 10Mac (OS X El Capitan or macOS Sierra)

Development Environment

Visual Studio

Visual Studio

Visual Studio

Xamarin Studio

Windows Presentation Foundation (WPF)

Yes

Yes

Yes

No

Universal Windows Platform (UWP)

No

No

Yes

No

Xamarin.Android

Yes

Yes

Yes

Yes

Xamarin.iOS

* Yes

* Yes

* Yes

Yes

Xamarin.Forms

No

Android, * iOS

Android, * iOS, UWP

Android, iOS

* Building Xamarin iOS projects requires an associated Mac computer to act as a build host.

Note:

Developing with Xamarin.iOS is only supported on Visual Studio 2015.

For detailed information on setting up your development environment for Xamarin.Android, Xamarin.iOS or Xamarin.Forms see the following topics:

Xamarin.Android

Requirements for development

On Windows

Supported Operating Systems:

  • Windows 7 SP1
  • Windows 8.1
  • Windows 10

Supported IDEs:

  • Visual Studio 2013 Update 5 (Xamarin for Visual Studio requires Microsoft Build Tools 2015 (or Visual Studio 2015) to be installed)
  • Visual Studio 2015

Xamarin Products:

  • Xamarin for Visual Studio 4.1 or later
  • Xamarin.Android 6.1 or later

On Mac

Supported Operating Systems:

  • OS X El Capitan (10.11)
  • macOS Sierra (10.12)

Supported IDEs:

  • Xamarin Studio 6.0 or later

Xamarin Products:

  • Xamarin.Android 6.1 or later

Supported Emulators

  • Visual Studio Emulator for Android
  • Xamarin Android Player
  • Genymotion

Requirements for Deployment

  • Android platform version 4.1.x "Jelly Bean" (API level 16) and above
  • OpenGL ES 2.0

Supported Architectures

The following app configuration CPU architectures are supported.

  • armeabi-v7a - For targeting Android-supported devices with CPUs based on the 32-bit ARMv7 or 64-bit ARMv8 architecture.
  • x86 - For targeting Android-supported devices with CPUs that support the x86 (or IA-32) instruction set (typically emulators).

ArcGIS platform products

To connect your app to ArcGIS for Server data or services, use ArcGIS for Server version 10.1 or later. To use ArcGIS for Server data when your app is offline, use ArcGIS for Server 10.2.2 or later. ArcGIS Pro 1.3 or later is required to create mobile map packages for use in your ArcGIS Runtime app.

You can use ArcGIS for Portal version 10.2 or later with your Runtime apps.

Related topics